=head1 NAME

B<copycds> - Copies Linux distributions and service levels from DVDs/ISOs to the xCAT /install directory.

=head1 SYNOPSIS

B<copycds> [{B<-n|--name|--osver>}=I<distroname>] [{B<-a|--arch>}=I<architecture>] {I<iso>|I<device-path>} ...

B<copycds> [B<-h>|B<--help>]

=head1 DESCRIPTION

The B<copycds> command copies all contents of Distribution DVDs/ISOs or Service Pack DVDs/ISOs to a destination directory. The destination directory will be formed from the B<installdir> site attribute and the distro name and architecture, for example: /install/rhels6.3/x86_64. The B<copycds> command can copy from one or more ISO files, or the CD/DVD device path.

You can get xCAT to recognize new DVDs/ISOs by adding them to /opt/xcat/lib/perl/xCAT/data/discinfo.pm and reloading xcatd (service xcatd reload).

=head1 OPTIONS

=over 6

=item {B<-n|--name|--osver>}=I<distroname>

The linux distro name and version that the ISO/DVD contains.  Examples:  rhels6.3, sles11.2, fedora9.  Note the 's' in rhels6.3 which denotes the Server version of RHEL, which is typically used.

=item {B<-a|--arch>}=I<architecture>]

The architecture of the linux distro on the ISO/DVD.  Examples:  x86, x86_64, ppc64, s390x.

=back

=head1 EXAMPLES

=over 2

=item *

To copy the RPMs from a set of ISOs that represent the DVDs of a distro:

 copycds dvd1.iso dvd2.iso

=item *

To copy the RPMs from a physical DVD:

 copycds /dev/dvd

=item *

To copy the RPMs from a DVD ISO of a very recently released distro:

 copycds -n rhels5.3 -a x86_64 dvd.iso

=back

=head1 SEE ALSO

L<nodeset(8)|nodeset.8>, L<site(5)|site.5>, L<nodetype(5)|nodetype.5>
